'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _echartsForReact = require('echarts-for-react');

var _echartsForReact2 = _interopRequireDefault(_echartsForReact);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NoData = function (_React$Component) {
    _inherits(NoData, _React$Component);

    function NoData(props) {
        _classCallCheck(this, NoData);

        var _this = _possibleConstructorReturn(this, (NoData.__proto__ || Object.getPrototypeOf(NoData)).call(this, props));

        var portalId = props.portalId;
        var height = props.height;
        var hasTitle = props.hasTitle ? props.height : false;
        if (!height) {
            height = 400;
        }
        if (hasTitle) {
            if ((height + "").indexOf("%") > 0) {
                height = "calc(" + height + " - 50px)";
            } else {
                height = height - 50;
            }
        }
        _this.state = {
            loadTrue: false,
            portalId: portalId,
            height: height,
            options: {
                id: portalId,
                allBackData: {}, // 存储后台返回的所有data数据
                rowCheck: false, // 二维表三维表行列合计默认为false
                colCheck: false, // 二维表三维表行列合计默认为false
                rsId: "",
                rsSql: "",
                rsSource: "",
                rptType: '',
                filterArr: [], // 存储过滤条件name,type,content
                title: {
                    text: '',
                    right: 'center',
                    top: '-4px'
                },
                textStyle: {
                    color: '#000'
                },
                grid: { top: '15%' },
                // toolbox : {
                //     right:'5%',
                //     feature : {
                //         saveAsImage : {}
                //     }
                // },
                tooltip: {
                    trigger: 'item',
                    confine: true,
                    axisPointer: { // 坐标轴指示器，坐标轴触发有效
                        type: 'line', // 默认为直线，可选为：'line' | 'shadow'
                        lineStyle: { // 直线指示器样式设置
                            color: '#48b',
                            width: 2,
                            type: 'solid'
                        },
                        shadowStyle: { // 阴影指示器样式设置
                            width: 'auto', // 阴影大小
                            color: 'rgba(150,150,150,0.3)' // 阴影颜色
                        }
                    }
                },
                legend: {
                    data: [],
                    type: 'scroll',
                    bottom: '1%'
                },
                xAxisPageInfo: { // 存储页面x轴相关信息
                    xName: "",
                    unSelectItem: []
                    // select未选中项存储
                },
                yAxisPageInfo: {
                    yName: ""
                },
                xAxis: {
                    data: [],
                    axisLabel: { //坐标轴刻度标签的相关设置。
                        interval: 0
                    }
                },
                yAxis: {},
                series: [],
                ySeriesAxisName: "",
                ySeries: {
                    unSelectItem: []
                    // select未选中项存储
                }
            }
        };
        return _this;
    }

    //排序函数，排序系列时用到，只排序数字数组


    _createClass(NoData, [{
        key: 'sortNumber',
        value: function sortNumber(a, b) {
            return a - b;
        }
    }, {
        key: 'componentDidMount',
        value: function componentDidMount() {
            var t = this;
            _db2.default.portal.getComponentInfoList({
                ppId: t.state.portalId,
                code: 'tbgl'
            }).then(function (content) {
                var options = t.state.options;

                var chartData = content.chartData;
                var chartSet = content.chartSet;
                options.rsId = chartSet.rsId;

                // 图表统计条件
                if (chartSet.chartCountType == 1) {
                    options.rowCheck = true;
                } else if (chartSet.chartCountType == 2) {
                    options.colCheck = true;
                } else if (chartSet.chartCountType == 3) {
                    options.rowCheck = true;
                    options.colCheck = true;
                }

                var chartX = chartSet.chartX;
                var chartY = chartSet.chartY;
                var chartValue = chartSet.chartValue;

                // 三个区域拖值处赋值
                options.xAxisPageInfo.xName = chartX; // 分类字段
                options.yAxisPageInfo.yName = chartValue; // 值域字段
                options.ySeriesAxisName = chartY; // 系列字段

                options.rptType = chartSet.chartType;

                var xAxisArr = chartX ? chartX.split(",") : [];
                if (xAxisArr.length > 0) {
                    var smallModuleKey = xAxisArr[0].substring(0, xAxisArr[0].indexOf("|"));
                }

                var inbyname = "";
                // 1.查询当前所有的拖入的结果集字段作为inbyname传入后台的数据
                if (chartX) {
                    var xAxisArr = chartX.split(",");
                    for (var i = 0; i < xAxisArr.length; i++) {
                        var oneXAxisArr = xAxisArr[i].split("|");
                        inbyname += oneXAxisArr[0] + ",";
                    }
                }
                if (chartY) {
                    var seriesArr = chartY.split(",");
                    for (var i = 0; i < seriesArr.length; i++) {
                        var oneSeriesArr = seriesArr[i].split("|");
                        inbyname += oneSeriesArr[0] + ",";
                    }
                }
                if (chartValue) {
                    var yAxisArr = chartValue.split(",");
                    for (var i = 0; i < yAxisArr.length; i++) {
                        var oneYAxisArr = yAxisArr[i].split("|");
                        inbyname += oneYAxisArr[0] + ",";
                    }
                }
                inbyname = inbyname.substring(0, inbyname.length - 1);

                // 2.定位byname,axis,根据参数确定返回数据的处理格式
                var fixByName = "";
                var fixAxis = "";
                if (chartX) {
                    fixByName = chartX;
                    fixAxis = "xAxis";
                }
                if (chartValue) {
                    fixByName = chartValue;
                    fixAxis = "yAxis";
                }
                if (chartY) {
                    fixByName = chartY;
                    fixAxis = "ySeriesAxis";
                }

                var chartType = chartSet.chartType;
                if (chartType != 'line' && chartType != 'bar') {
                    // 只有当图形为折线图和柱形图时有x,y轴，其他删除
                    delete options.xAxis;
                    delete options.yAxis;
                }

                if (chartType == "二维表" || chartType == "三维表" || chartType == "单维表") {} else {
                    if (fixAxis == "xAxis") {
                        if (options.xAxis) {
                            // 除了折线图和柱形图，其他图形是无x,y轴的，会在初始化时删掉这个
                            options.xAxis.data = chartData[inbyname];
                        }
                        options.series = []; // 清除操作
                    } else if (fixAxis == "yAxis") {
                        // 显示xAxis的新值
                        var bynameArr = inbyname.split(",");
                        if (options.xAxis) {
                            // 除了折线图和柱形图，其他图形是无x,y轴的，会在初始化时删掉这个
                            options.xAxis.data = chartData[bynameArr[0]];
                        }
                        options.legend.data = []; // 清除原来的值，置空
                        options.series = []; // 清除操作
                        // 别名显示
                        var yByname = options.yAxisPageInfo.yName.substring(options.yAxisPageInfo.yName.indexOf("|") + 1);
                        if (options.rptType != "gauge") {
                            options.legend.data.push(yByname);
                        }
                        var newparam;
                        if (options.rptType == "pie" || options.rptType == "funnel" || options.rptType == "gauge") {
                            // 如果是饼图，漏斗图，仪表盘
                            if (options.rptType == "pie") {
                                newparam = {
                                    "name": yByname,
                                    "type": options.rptType,
                                    "radius": "50%",
                                    "center": ["50%", "55%"],
                                    "data": []
                                };
                            } else {
                                newparam = {
                                    "name": yByname,
                                    "type": options.rptType,
                                    "center": ["50%", "55%"],
                                    "data": [/*
                                               * { "value" : data[key], "name" : key }
                                               */]
                                };
                            }
                            /*
                            * if(previewOption.rptType == "funnel"){//仪表盘宽度限制下，不然太宽了，不协调
                            * newparam.width = "60%"; }
                            */
                            if (chartData[bynameArr[1]].length < 1) {
                                chartData[bynameArr[1]] = [0];
                            }
                            for (var i = 0; i < chartData[bynameArr[1]].length; i++) {
                                var dataItem = {};
                                dataItem.value = chartData[bynameArr[1]][i];
                                dataItem.name = chartData[bynameArr[0]][i];
                                newparam.data.push(dataItem);
                                if (options.rptType == "gauge") {
                                    // 仪表盘默认只选第一个
                                    newparam.detail = {
                                        formatter: '{name|' + yByname + '}\n{value}',
                                        rich: {
                                            name: {
                                                fontSize: 14
                                            }
                                        }
                                    };
                                    // 最大值为当前值升一位的最小整数，如：324的最大数为1000
                                    var numLen = (parseInt(chartData[bynameArr[1]][i]) * 10).toString().length;
                                    var maxNum = "1";
                                    for (var m = 0; m < numLen - 1; m++) {
                                        maxNum += "" + 0;
                                    }
                                    newparam.max = Number(maxNum);
                                    break;
                                }
                            }
                            options.legend.data = chartData[bynameArr[0]].sort(t.sortNumber);
                        } else if (options.rptType == "radar") {
                            // 如果是雷达图，值加载形式有区别
                            var inMaxNum = 1;
                            if (chartData[bynameArr[1]].length == 0) {
                                chartData[bynameArr[1]] = new Array(chartData[bynameArr[0]].length);
                            } else {
                                inMaxNum = Math.max.apply(null, chartData[bynameArr[1]]); // 返回数组中的最大值
                            }
                            for (var i = 0; i < chartData[bynameArr[1]].length; i++) {
                                if (!chartData[bynameArr[1]][i]) {
                                    chartData[bynameArr[1]][i] = 0;
                                }
                            }
                            newparam = {
                                "name": yByname,
                                "type": options.rptType,
                                "radius": "50%",
                                "data": [{
                                    "value": chartData[bynameArr[1]],
                                    "name": yByname
                                }]
                            };
                            options.radar = {
                                indicator: [],
                                radius: '60%',
                                center: ["50%", "55%"] // 雷达图设置偏下位置，与标题栏间隔一点距离
                            };
                            for (var i = 0; i < chartData[bynameArr[0]].length; i++) {
                                var indicatorItem = {};
                                indicatorItem.name = chartData[bynameArr[0]][i];
                                indicatorItem.max = inMaxNum; // 取统一的最大值
                                options.radar.indicator.push(indicatorItem);
                            }
                        } else {
                            newparam = {
                                "name": yByname,
                                "type": options.rptType,
                                "data": chartData[bynameArr[1]]
                            };
                        }
                        options.series.push(newparam);
                    }
                }

                t.setState({
                    options: options,
                    loadTrue: true
                });
            }).catch(function (error) {
                console.error(error);
            });
        }
    }, {
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                { style: { height: this.state.height } },
                this.state.loadTrue ? this.state.options.rptType == "单维表" || this.state.options.rptType == "二维表" || this.state.options.rptType == "三维表" ? _react2.default.createElement(
                    'div',
                    { style: { textAlign: 'center' } },
                    '\u79FB\u52A8\u7AEF\u6682\u4E0D\u652F\u6301',
                    this.state.options.rptType
                ) : _react2.default.createElement(_echartsForReact2.default, {
                    option: this.state.options,
                    style: { height: '100%', width: '100%' },
                    autoResize: true
                    // notMerge={true}
                    // lazyUpdate={true}
                    // theme={"theme_name"}
                    // onChartReady={this.onChartReadyCallback}
                    // onEvents={EventsDict}
                }) : ""
            );
        }
    }]);

    return NoData;
}(_react2.default.Component);

exports.default = NoData;