'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _umi = require('umi');

var _reactGridLayout = require('react-grid-layout');

var _reactGridLayout2 = _interopRequireDefault(_reactGridLayout);

var _Badge = require('saltui/lib/Badge');

var _Badge2 = _interopRequireDefault(_Badge);

var _Grid = require('saltui/lib/Grid');

var _Grid2 = _interopRequireDefault(_Grid);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _TextField = require('saltui/lib/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _Tab = require('saltui/lib/Tab');

var _Tab2 = _interopRequireDefault(_Tab);

var _Carousel = require('saltui/lib/Carousel');

var _Carousel2 = _interopRequireDefault(_Carousel);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Toast = require('saltui/lib/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _Refreshcontrol = require('saltui/lib/Refreshcontrol');

var _Refreshcontrol2 = _interopRequireDefault(_Refreshcontrol);

require('react-grid-layout/css/styles.css');

require('react-resizable/css/styles.css');

require('./react_grid.less');

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

var _variables = require('../db/variables');

var _variables2 = _interopRequireDefault(_variables);

var _chart = require('../chart/chart');

var _chart2 = _interopRequireDefault(_chart);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var projectMenuUrl = _variables2.default.projectMenuUrl;
var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;
var RightAddon = _TextField2.default.RightAddon;

var context = document.getElementById("context").value;

var MyGrid = function (_React$Component) {
  _inherits(MyGrid, _React$Component);

  function MyGrid(props) {
    _classCallCheck(this, MyGrid);

    var _this = _possibleConstructorReturn(this, (MyGrid.__proto__ || Object.getPrototypeOf(MyGrid)).call(this, props));

    _this.initPage = function () {
      var t = _this;
      // 部件的初始化信息
      _db2.default.reactGrid.getPortalPage({ id: t.state.portalId, module: t.state.module }).then(function (res) {
        if (res && res.length > 0) {
          _this.setState({
            data: res
          });
          res.map(function (item) {
            if (item.portletCode == 'banner') {
              _this.setState(_defineProperty({}, item.portletCode + '_' + item.id, JSON.parse(item.personalSetting)));
              _this.getRemindCount();
            } else if (item.portletCode == 'cyyy') {
              t.getShoucangAppInfo(item.id);
              t.getComAppInfo(item.id);
            } else if (item.portletCode !== 'tbgl') {
              var params = {
                code: item.portletCode,
                ppId: item.id
              };
              _db2.default.reactGrid.getComponentInfoListAll(params).then(function (res) {
                _this.setState(_defineProperty({}, item.portletCode + '_' + item.id, res));
              });
            }
          });
        } else {
          _Toast2.default.show({
            type: 'fail',
            content: '未找到门户信息',
            duration: 2000
          });
        }
      }).catch(function (error) {
        _Toast2.default.show({
          type: 'fail',
          content: error.errorMsg,
          duration: 2000
        });
      });
    };

    _this.getShoucangAppInfo = function (id) {
      _db2.default.reactGrid.getNewHomePageCollectAppInfoList({ showClient: "DING" }).then(function (result) {
        _this.setState(_defineProperty({}, 'wdsc' + '_' + id, result.data), function () {
          // console.log(this.state, 'mmmmmmmmmmmmmmmmmmmmmmmmmmmmmm');
        });
      }).catch(function (error) {});
    };

    _this.getComAppInfo = function (id) {
      var userId = getLoginUserInfo().userId;
      var userAppOftenList = [];
      var params = { userId: userId };
      _db2.default.reactGrid.getComAppInfo(params).then(function (result) {
        if (result.data) {
          _this.setState(_defineProperty({}, 'cyyy' + '_' + id, JSON.parse(result.data)));
          localStorage.setItem(['cyyy' + '_' + id], result.data);
          userAppOftenList = JSON.parse(result.data);
        }
        if (userAppOftenList.length < 1) {
          // 没有用户设置，取系统默认值
          _this.getOftenList(id);
        }
      }).catch(function (error) {
        _this.getOftenList();
        console.error(error);
      });
    };

    _this.getOftenList = function (id) {
      var data = getLoginUserInfo();
      var thirdMenuType = data.thirdMenuType;
      var params = { code: "cyyy" };
      if (thirdMenuType == null || thirdMenuType == 'null' || thirdMenuType == undefined || thirdMenuType == 'undefined') {
        thirdMenuType = 'DING';
      }
      params.showClient = thirdMenuType;
      _db2.default.reactGrid.getComponentInfoListAll(params).then(function (result) {
        if (result.data) {
          _this.setState(_defineProperty({}, 'cyyy' + '_' + id, result.data));
          var appOftenListlocal = JSON.stringify(result.data);
          localStorage.setItem(['cyyy' + '_' + id], appOftenListlocal);
        }
      }).catch(function (error) {
        console.error(error);
      });
    };

    var portalId = props.portalId;
    var module = props.module;
    _this.state = {
      portalId: portalId,
      module: module,
      data: [],
      isDraggable: false,
      //标题样式
      titleStatus: true,
      titleFontFamily: '',
      titleFontWeight: 400,
      titleColor: '',
      titleFontSize: '',
      titleFontStyle: '',
      titleBgColor: '',
      // 部件圆角
      borderTopLeftRadius: '10px',
      borderTopRightRadius: '10px',
      borderBottomLeftRadius: '10px',
      borderBottomRightRadius: '10px',
      // 部件边框样式
      borderColor: '',
      borderWidth: '',
      // 部件内边距
      paddingLeft: '',
      paddingright: '',
      paddingTop: '',
      paddingBottom: '',

      // todoList: [],//移动集成 配置提醒项信息  
      todoList: ["banshi", "zixun", "yingyong", "daiban", "wode"],
      pageImage: projectMenuUrl.pageImage, //提醒项背景图
      appInfoList: [], //移动集成 配置应用信息 
      bannerPicPath: '',
      activeIndex: 2,
      undo: 0, //待办数量
      appOftenList: [], //常用应用
      collectAppInfoList: [], //收藏应用
      bssx: [], // 办事事项
      bssx_per: [], // 办事事项_个人办事
      bssx_org: [], // 办事事项_部门办事
      jxzt: [], // 精选专题
      ttxx: [], // 头条信息
      xwzx: [], // 新闻资讯
      gryj: [], // 个人邮件
      grrc: [], // 个人日程
      grrc_list: [], // 个人日程-日程信息
      grhy: [], // 个人会议
      showbssx: true, // 办事事项
      showjxzt: true, // 精选专题
      showttxx: true, // 头条信息
      showxwzx: true, // 新闻资讯
      showgryj: true, // 个人邮件
      showgrrc: true, // 个人日程
      showgrhy: true, // 个人会议
      showcyyy: true, // 常用应用
      initCleader: false,
      bannerList: [],
      showSlide: false,
      refreshing: false, //下拉刷新
      showMobileComponent: "", // 显示部件显示模块
      componentList: [], // 显示部件显示模块数组
      pageImageList: [],
      showItem: 0,
      searchVal: '', //顶部搜索input值
      filterValue: { //顶部搜索分类值
        sort: [{ text: '全部', value: 'all' }]
      },
      modelCode: 'all',
      bssxPer_show: true, //办事事项_个人_是否显示
      bssxOrg_show: true, //办事事项_个人_是否显示,
      cyyyUsuTab_show: true, //常用应用_是否显示
      cyyyPerTab_show: true, //我的收藏_是否显示
      activeIndex_mail: 0

    };
    return _this;
  }

  _createClass(MyGrid, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.initPage();
    }
    // 遍历初始化得到的data，奖id给请求部件的内容的接口
    // 如果有两个相同的部件，将会用id请求部件内容，接口返回的数据需要 this.setState({【id】:result.data});这样存值
    // 取值的时候根据id取值


    // 获取收藏应用


    // 获取用户设置常用应用

    // 获取默认系统常用应用

  }, {
    key: 'getRemindCount',
    value: function getRemindCount() {
      var _this2 = this;

      _db2.default.reactGrid.getNewHomePageRemindCount({ codes: "undo" }).then(function (content) {
        if (content.undo) {
          _this2.setState({
            undo: content.undo
          });
        }
      });
    }
  }, {
    key: 'initCleader',
    value: function initCleader(event, id) {
      if (!this.state["initCleader_" + id] || this.state["initCleader_" + id] == false) {
        var t = this;
        var calendar = document.getElementById('calendar_ ' + id);
        if (calendar) {
          var cld = new CalendarMobile({
            el: 'box',
            value: '', // 默认为new Date();
            type: 1,
            parentNode: calendar,
            // fold: false,
            fn: function fn(obj) {
              // 日期选择后回调
              var YY = obj.year;
              var MM = obj.month >= 10 ? obj.month : "0" + obj.month;
              var DD = obj.day >= 10 ? obj.day : "0" + obj.day;
              var Date = YY + "-" + MM + "-" + DD;
              t.showCalendarList(Date, event, id);
            },
            //点击上一个月
            prevMonth: function prevMonth(obj) {},
            //点击下一个月
            nextMonth: function nextMonth(obj) {},
            calendarInit: function calendarInit(obj) {
              var YY = obj.year;
              var MM = obj.month >= 10 ? obj.month : "0" + obj.month;
              var DD = obj.day >= 10 ? obj.day : "0" + obj.day;
              var Date = YY + "-" + MM + "-" + DD;
              t.showCalendarEvent(event);
              t.showCalendarList(Date, event, id);
            }
          });
          this.setState(_defineProperty({}, "initCleader_" + id, true));
        }
      }
    }

    //在日历上显示日程事件（显示点）

  }, {
    key: 'showCalendarEvent',
    value: function showCalendarEvent(dates, obj, t) {
      var $span = $(".canChoose").find('span');
      $span.removeClass('hasEvent');
      // var dates = this.state.grrc.dateList
      var dates = dates.dateList;
      if (dates) {
        for (var i = 0; i < dates.length; i++) {
          var date = new Date(dates[i]);
          var day = date.getDate();
          $span.eq(parseInt(day) - 1).addClass('hasEvent');
        }
      }
    }
    //显示日程信息

  }, {
    key: 'showCalendarList',
    value: function showCalendarList(Date, data, id) {
      if (data.dataMap && data.dataMap[Date]) {
        this.setState(_defineProperty({}, 'grrc_list_' + id, data.dataMap[Date]));
      } else {
        this.setState(_defineProperty({}, 'grrc_list_' + id, []));
      }
    }
  }, {
    key: 'globalSearchChange',
    value: function globalSearchChange(newValue) {
      // this.setState({
      //   searchVal: newValue
      // });
      location.hash = "homepage/home/fullSearch";
    }
  }, {
    key: 'globalSearchClick',
    value: function globalSearchClick() {
      var modelCode = this.state.modelCode;
      var searchCondition = this.state.searchVal;
      location.hash = "homepage/home/fullSearch/" + modelCode + '/' + searchCondition;
    }
    //跳转到语典

  }, {
    key: 'gotoYd',
    value: function gotoYd() {
      pageSkipDirectly(_variables2.default.ydPath);
    }
    // 应用跳转

  }, {
    key: 'newPageSkip',
    value: function newPageSkip(dingUrl, wxUrl, mhUrl, cocallUrl) {
      var dingVal = "DING";
      var wxVal = "WX";
      var mhVal = "MH";

      var data = getLoginUserInfo();
      var thirdMenuType = data.thirdMenuType;
      if (thirdMenuType == dingVal) {
        dd.biz.util.openLink({
          url: dingUrl, //要打开链接的地址
          onSuccess: function onSuccess(result) {
            /**/
          },
          onFail: function onFail(err) {}
        });
      } else if (thirdMenuType == wxVal) {
        window.open(wxUrl);
      } else if (thirdMenuType == mhVal) {
        window.location = mhUrl;
        /**
        emp.navigateTo({
            url: mhUrl,//跳转地址
            success: function () {
            }, //跳转成功回调
            error: function () {
            } //跳转失败回调
        }); */
      } else {
        window.location = dingUrl;
      }
    }
  }, {
    key: 'skipPage',
    value: function skipPage(url) {
      var dingVal = "DING";
      var wxVal = "WX";
      var mhVal = "MH";
      var data = getLoginUserInfo();
      var thirdMenuType = data.thirdMenuType;
      var urlComplete = data.contextPageUrl + "/" + url;

      if (thirdMenuType == dingVal) {
        dd.biz.util.openLink({
          url: urlComplete, //要打开链接的地址
          onSuccess: function onSuccess(result) {
            /**/
          },
          onFail: function onFail(err) {}
        });
      } else if (thirdMenuType == wxVal) {
        window.open(urlComplete);
      } else if (thirdMenuType == mhVal) {
        window.location = urlComplete;
      } else {
        window.location = urlComplete;
      }
    }
  }, {
    key: 'jumpPage',
    value: function jumpPage(url) {
      location.hash = url;
    }
    //跳转到应用

  }, {
    key: 'skip2Project',
    value: function skip2Project(code, pagePath) {
      location.hash = pagePath;
    }

    //跳转到专题

  }, {
    key: 'skip2Zhuanti',
    value: function skip2Zhuanti(item) {
      var code = item.data.props.code;
      location.hash = "topicservice/" + code;
    }

    //跳转更多

  }, {
    key: 'skip2More',
    value: function skip2More(type) {
      var url = "";
      if (type == 'grhy') {
        //会议
        url = getLoginUserInfo().context + '/mobile/modules/meeting/dist/index.html?&context=' + getLoginUserInfo().context + '&hasBottomTab=1';
        pageSkipDirectly(url);
      } else if (type == 'gryj') {
        //个人邮件
        url = getLoginUserInfo().context + '/mobile/modules/mail/dist/index.html?&context=' + getLoginUserInfo().context + '&hasBottomTab=1&isPublic=0#/mail/home/1/';
        pageSkipDirectly(url);
      } else if (type == 'ggyj') {
        //公共邮件
        url = getLoginUserInfo().context + '/mobile/modules/mail/dist/index.html?&context=' + getLoginUserInfo().context + '&hasBottomTab=1&isPublic=1#/mail/home/1/';
        pageSkipDirectly(url);
      } else if (type == 'lcfq') {
        //流程发起
        location.hash = "officehall";
      } else if (type == 'wdsx') {
        //我的事项
        location.hash = "approval/all/5";
      } else if (type == 'bssx') {
        //办事事项
        location.hash = "officehall";
      } else if (type == "jxzt") {
        location.hash = "officehall";
      }
    }

    //跳转到我的事项

  }, {
    key: 'skip2Process',
    value: function skip2Process(itemInfo, param_list_type) {
      console.log(itemInfo);
      var param_processKey = itemInfo.processKey; // 流程类型code
      var param_formKey = itemInfo.formKey; // 表单id
      var param_businessKey = itemInfo.businessKey; // 表单数据id;
      var param_startUserId = itemInfo.startUserId; // 流程发起人id
      // let param_list_type = "5"; // 列表类型 待办-0,待阅-1,
      var processName = itemInfo.processName; // 流程名称
      var module = itemInfo.module; // 流程名称
      var type = "all"; //self：本应用，all:全模块
      var projectPath = "modules/mobilehall"; //项目路径

      var taskId = '';
      var processInstanceId = itemInfo.processInstanceId;
      if (param_list_type == '2') {
        taskId = itemInfo.taskId;
      } else {
        taskId = itemInfo.id;
      }
      var queryurl = "";
      if (param_list_type == "5") {
        queryurl = "?isDraft=1";
        param_list_type = 0;
      }
      var loginUserId = getLoginUserInfo().userId;
      // location.hash = 'approval/approval-details/detail-servlet/' + param_list_type + '/1/' + param_processKey + '/' + param_formKey + '/' +param_businessKey +
      //                     '/' + param_startUserId;
      // alert(searchVal);
      if (type == "all") {
        if (module == "hall_service") {
          var url = "process/processDetails/" + taskId + "/" + param_formKey + "/" + param_businessKey + "/" + param_list_type + "/0/" + processInstanceId + "/" + module + "/" + loginUserId;
          // if (searchVal != '') {
          //   url += "/" + searchVal;
          // }
          url = url + queryurl;
          decodeURI(url);
          location.hash = url;
        } else {
          var fullUrl = window.location.href;
          var mobilePath = module;
          if (module.indexOf("_") > 0) {
            var category = module.split("_")[0];
            mobilePath = module.substring(module.indexOf("_") + 1);
            fullUrl = fullUrl.replace("/" + projectPath + "/", "/" + category + "/" + mobilePath + "/").split('?_')[0].split('/approval/all')[0];
          } else {
            fullUrl = fullUrl.replace("/" + projectPath + "/", "/modules/" + mobilePath + "/").split('?_')[0].split('/approval/all')[0];
          }
          //alert(fullUrl);
          var _url = "process/processDetails/" + taskId + "/" + param_formKey + "/" + param_businessKey + "/" + param_list_type + "/0/" + processInstanceId + "/" + module + "/" + loginUserId;
          _url = fullUrl + '/' + _url;
          _url = _url + queryurl;
          decodeURI(_url);
          location.href = _url;
        }
      }
    }

    // 区分个人邮件和公共邮件

  }, {
    key: 'handleChange',
    value: function handleChange(id, obj) {

      var t = this;
      console.log({
        activeIndex: obj.active,
        preActiveIndex: obj.preActive,
        data: id
      });
      if (obj.active == '1') {
        var _setState4;

        this.setState((_setState4 = {}, _defineProperty(_setState4, 'activeIndex_ggyj_' + id, true), _defineProperty(_setState4, 'activeIndex_gryj_' + id, false), _setState4));
      } else {
        var _setState5;

        this.setState((_setState5 = {}, _defineProperty(_setState5, 'activeIndex_gryj_' + id, true), _defineProperty(_setState5, 'activeIndex_ggyj_' + id, false), _setState5));
      }
    }

    // 部件内容渲染处理函数

  }, {
    key: 'portalContent',
    value: function portalContent(item) {
      var t = this;
      var styleSetting = JSON.parse(item.styleSetting);
      var personalSetting = JSON.parse(item.personalSetting);
      var componentContent = _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10', src: '../../../fmui/images/home/nodata.png' })
      );
      var componentHead = '';
      if (item.portletCode === 'banner') {
        // 判断AI和menu
        var isShowList = JSON.parse(item.personalSetting).bannerSet;
        var _styleSetting = JSON.parse(item.styleSetting);
        var pathUrl = "";
        var colNum = t.state.todoList.length > 0 ? t.state.todoList.length : 5;
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].bannerImg) {
          var pathUrlId = t.state[item.portletCode + '_' + item.id].bannerImg;
          pathUrl = localStorage.getItem('context') + '/api/m/plugin/attachment/mobile/viewImage?token=' + localStorage.getItem('token') + '&fid=' + pathUrlId;
        } else {
          pathUrl = t.state.pageImage;
        }
        componentContent = _react2.default.createElement(
          'div',
          { className: 'react-grid-banner' },
          _react2.default.createElement(
            'div',
            { className: 'global-search' },
            _react2.default.createElement(
              _TextField2.default,
              { placeholder: '\u8BF7\u8F93\u5165\u5173\u952E\u8BCD\u8FDB\u884C\u641C\u7D22', value: t.state.searchVal, allowClear: false, onClick: function onClick(value) {
                  t.globalSearchChange(value);
                } },
              _react2.default.createElement(
                RightAddon,
                null,
                _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-sousuo1 t-P10', onClick: function onClick() {
                    t.globalSearchClick();
                  } })
              )
            ),
            _react2.default.createElement(
              'div',
              { className: isShowList.indexOf('AI') > -1 ? 't-FAC' : 't-DN', onClick: function onClick() {
                  t.gotoYd();
                } },
              _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-zhineng' }),
              _react2.default.createElement(
                'div',
                { className: 't-FS12 t-MT4' },
                '\u667A\u80FD\u5BA2\u670D'
              )
            )
          ),
          _react2.default.createElement(
            _Grid2.default,
            { col: colNum, className: 'dd-applist' },
            t.state.todoList.length > 0 && isShowList.indexOf('menu') > -1 ? t.state.todoList.map(function (item) {
              var todoInfo = projectMenuUrl.todoInfo[item];
              return _react2.default.createElement(
                'div',
                { className: 'demo', onClick: t.skip2Project.bind(this, todoInfo.moduleCode, todoInfo.url) },
                _react2.default.createElement(
                  'div',
                  { className: 'react-grid-banner-item' },
                  _react2.default.createElement(
                    _Badge2.default,
                    { count: item == 'daiban' ? t.state.undo : '' },
                    _react2.default.createElement('i', { className: 'theme-color iconfont-ywtb ' + todoInfo.icon })
                  )
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'menu-title t-FS14' },
                  todoInfo.name
                )
              );
            }.bind(this)) : ''
          )
        );
        // backgroundImage直接判断有无会报错，单独return
        return _react2.default.createElement(
          'div',
          { className: 'react-grid-component', key: item.id, style: {
              borderTopLeftRadius: _styleSetting.otherSet.radius.topLeft + 'px',
              borderTopRightRadius: _styleSetting.otherSet.radius.topRight + 'px',
              borderBottomLeftRadius: _styleSetting.otherSet.radius.bottomLeft + 'px',
              borderBottomRightRadius: _styleSetting.otherSet.radius.bottomRight + 'px',
              paddingLeft: _styleSetting.otherSet.paddingSet.pl + 'px',
              paddingright: _styleSetting.otherSet.paddingSet.pr + 'px',
              paddingTop: _styleSetting.otherSet.paddingSet.pt + 'px',
              paddingBottom: _styleSetting.otherSet.paddingSet.pb + 'px',
              backgroundColor: _styleSetting.otherSet.bgColor,
              backgroundImage: 'url(' + pathUrl + ')'
            } },
          _styleSetting.titleSet.titleStatus == 1 ? componentHead : '',
          componentContent
        );
      }
      if (item.portletCode === 'cyyy') {
        componentContent = _react2.default.createElement(
          'div',
          { className: 'react-app-collect' },
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: '0' },
            _react2.default.createElement(
              _Tab2.default.Item,
              { title: _react2.default.createElement(
                  'div',
                  { style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                  '\u5E38\u7528\u5E94\u7528'
                ) },
              t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0 ? _react2.default.createElement(
                _Grid2.default,
                { col: personalSetting.cols * 1, className: t.state.showcyyy ? '' : 't-DN' },
                t.state[item.portletCode + '_' + item.id].map(function (ele) {
                  return _react2.default.createElement(
                    'div',
                    { className: 'systemItem', onClick: t.newPageSkip.bind(t, ele.dingUrl, ele.wxUrl, ele.mhUrl, ele.cocallUrl) },
                    _react2.default.createElement(
                      'div',
                      { className: 'iconblock t-iconBC' + ele.iconColor },
                      _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
                    ),
                    _react2.default.createElement(
                      'p',
                      { className: 'text t-omit t-PT2 t-LH2' },
                      ele.name
                    )
                  );
                }),
                _react2.default.createElement(
                  'div',
                  { className: t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0 ? 'systemItem' : 't-DN', onClick: t.jumpPage.bind(this, "homepage/home/applistSetting", personalSetting.cols * 1, item.id) },
                  _react2.default.createElement(
                    'div',
                    { className: 'iconblock t-iconBCred' },
                    _react2.default.createElement('i', { className: 'iconfont-ywtb' + ' icon-ywtb-gengduo' })
                  ),
                  _react2.default.createElement(
                    'p',
                    { className: 'text t-omit t-PT2 t-LH2' },
                    '\u66F4\u591A'
                  )
                )
              ) : _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10', src: '../../../fmui/images/home/nodata.png' })
              )
            ),
            _react2.default.createElement(
              _Tab2.default.Item,
              { title: _react2.default.createElement(
                  'div',
                  { style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                  '\u6211\u7684\u6536\u85CF'
                ) },
              t.state['wdsc' + '_' + item.id] && t.state['wdsc' + '_' + item.id].length > 0 ? _react2.default.createElement(
                _Grid2.default,
                { col: personalSetting.cols * 1 },
                t.state['wdsc' + '_' + item.id].map(function (ele) {
                  return _react2.default.createElement(
                    'div',
                    { className: 'systemItem', onClick: t.newPageSkip.bind(t, ele.dingUrl, ele.wxUrl, ele.mhUrl, ele.cocallUrl) },
                    _react2.default.createElement(
                      'div',
                      { className: 'iconblock t-iconBC' + ele.iconColor },
                      _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + ele.icon })
                    ),
                    _react2.default.createElement(
                      'p',
                      { className: 'text t-omit t-PT2 t-LH2' },
                      ele.name
                    )
                  );
                }),
                _react2.default.createElement(
                  'div',
                  { className: 'systemItem', onClick: t.jumpPage.bind(this, "/appCollect") },
                  _react2.default.createElement(
                    'div',
                    { className: 'iconblock t-iconBCred' },
                    _react2.default.createElement('i', { className: 'iconfont-ywtb' + ' icon-ywtb-gengduo' })
                  ),
                  _react2.default.createElement(
                    'p',
                    { className: 'text t-omit t-PT2 t-LH2' },
                    '\u66F4\u591A'
                  )
                )
              ) : _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10', src: '../../../fmui/images/home/nodata.png' })
              )
            )
          )
        );
      }
      if (item.portletCode === 'bssx') {
        var bssxShowList = personalSetting.showModule;
        // let styleSetting = JSON.parse(item.styleSetting)

        var perList = '';
        if (t.state[item.portletCode + '_' + item.id]) {
          if (t.state[item.portletCode + '_' + item.id].perList && t.state[item.portletCode + '_' + item.id].perList.length > 0) {
            perList = t.state[item.portletCode + '_' + item.id].perList.map(function (item) {
              return _react2.default.createElement(
                'div',
                { className: 'banshi-item', onClick: function onClick() {
                    _umi.history.push('/officeguid' + ('?id=' + item.id + '&code=' + item.code));
                  } },
                _react2.default.createElement(
                  'div',
                  { className: 'title t-omit' },
                  item.name
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'describe t-omit' },
                  item.categoryName
                ),
                _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' bg' }),
                _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' ic' })
              );
            });
          } else {
            perList = _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10', src: '../../../fmui/images/home/nodata.png' })
            );
          }
        }
        var orgList = '';
        if (t.state[item.portletCode + '_' + item.id]) {
          if (t.state[item.portletCode + '_' + item.id].orgList && t.state[item.portletCode + '_' + item.id].orgList.length > 0) {
            orgList = t.state[item.portletCode + '_' + item.id].orgList.map(function (item) {
              return _react2.default.createElement(
                'div',
                { className: 'banshi-item', onClick: function onClick() {
                    _umi.history.push('/officeguid' + ('?id=' + item.id + '&code=' + item.code));
                  } },
                _react2.default.createElement(
                  'div',
                  { className: 'title t-omit' },
                  item.name
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'describe t-omit' },
                  item.categoryName
                ),
                _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' bg' }),
                _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-' + item.icon + ' ic' })
              );
            });
          } else {
            orgList = _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10', src: '../../../fmui/images/home/nodata.png' })
            );
          }
        }
        var bssxPerTab = '';
        if (bssxShowList.indexOf('personWork') > -1) {
          bssxPerTab = _react2.default.createElement(
            _Tab2.default.Item,
            { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                '\u4E2A\u4EBA\u529E\u4E8B'
              ), key: 0 },
            _react2.default.createElement(
              'div',
              { className: 'banshi-list' },
              perList
            )
          );
        }
        var bssxOrgTab = '';
        if (bssxShowList.indexOf('deptWork') > -1) {
          bssxOrgTab = _react2.default.createElement(
            _Tab2.default.Item,
            { key: 1, title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                '\u90E8\u95E8\u529E\u4E8B'
              ) },
            _react2.default.createElement(
              'div',
              { className: 'banshi-list' },
              orgList
            )
          );
        }
        componentContent = _react2.default.createElement(
          'div',
          { className: 'component-bssx' },
          _react2.default.createElement(
            'p',
            { className: styleSetting.titleSet.titleStatus == 1 && styleSetting.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN', onClick: t.jumpPage.bind(this, "/officehall") },
            '\u66F4\u591A',
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
          ),
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: bssxShowList.indexOf('personWork') > -1 ? "0" : "1" },
            bssxPerTab,
            bssxOrgTab
          )
        );
      }
      if (item.portletCode === 'ttxx') {
        var carouselItem = '';
        var carouselList = '';
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
          var tDiv = document.createElement('div');
          var ttxxImgUrl = "../../../fmui/images/ywtb/notice-card-bg.png";
          carouselItem = t.state[item.portletCode + '_' + item.id].map(function (item) {
            if (item.infoList.length > 0) {
              tDiv.innerHTML = item.infoList[0].content;
              var text = tDiv.innerText;
              return _react2.default.createElement(
                _Carousel2.default.Item,
                { style: { backgroundImage: 'url(' + ttxxImgUrl + ')' } },
                _react2.default.createElement(
                  'div',
                  { className: 'notice-card-head' },
                  _react2.default.createElement(
                    'span',
                    null,
                    item.infoList[0].columnName
                  ),
                  _react2.default.createElement(
                    _Button2.default,
                    { type: 'custom', onClick: t.jumpPage.bind(this, "/channelDetail/" + item.channelId + '/' + item.columnId + '/' + item.columnName) },
                    '\u66F4\u591A'
                  )
                ),
                _react2.default.createElement(
                  'div',
                  { onClick: t.jumpPage.bind(this, "/infodetail/" + item.infoList[0].id) },
                  _react2.default.createElement(
                    'strong',
                    { className: 't-FS14 t-omit2 t-LH1_3 t-MB10' },
                    item.infoList[0].title
                  ),
                  _react2.default.createElement(
                    'p',
                    { className: 't-FS14 t-FCgrey t-omit2 t-LH1_5 t-MB10' },
                    text
                  ),
                  _react2.default.createElement(
                    'p',
                    { className: 't-FS12 t-FCgrey' },
                    item.infoList[0].createdDate
                  )
                )
              );
            }
          });
          carouselList = carouselItem.filter(function (carouselItem) {
            return typeof carouselItem !== 'undefined';
          });
        }
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
          componentContent = _react2.default.createElement(
            'div',
            { className: 'componentBox' },
            _react2.default.createElement(
              'div',
              { className: 'notice-card' },
              _react2.default.createElement(
                _Carousel2.default,
                { showNav: true, auto: true, height: '180px', className: 'carousel-notice' },
                carouselList
              )
            )
          );
        }
      }
      if (item.portletCode === 'xwzx') {
        var xwzxContent = '';
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
          xwzxContent = t.state[item.portletCode + '_' + item.id].map(function (item) {
            var infoList = item.infoList.map(function (infoItem) {
              var imgSrc = "";
              var imgIdList = 0;
              if (infoItem.imgId) {
                imgIdList = infoItem.imgId.split('|');
              }
              if (imgIdList.length >= 3) {
                var imgSrc1 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[0] + "&token=" + getLoginUserInfo().token;
                var imgSrc2 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[1] + "&token=" + getLoginUserInfo().token;
                var imgSrc3 = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[2] + "&token=" + getLoginUserInfo().token;
                return _react2.default.createElement(
                  'div',
                  { className: 'infoList3', onClick: t.jumpPage.bind(this, "/infodetail/" + infoItem.id) },
                  _react2.default.createElement(
                    'div',
                    { className: 'infoContent' },
                    _react2.default.createElement(
                      'p',
                      null,
                      infoItem.title
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: 'infoPics' },
                      _react2.default.createElement('img', { src: imgSrc1 }),
                      _react2.default.createElement('img', { src: imgSrc2 }),
                      _react2.default.createElement('img', { src: imgSrc3 })
                    ),
                    _react2.default.createElement(
                      'p',
                      { className: 't-FS14' },
                      _react2.default.createElement('i', { className: infoItem.isTop == "1" ? "iconfont icon-istop t-FS14 t-FCddblue t-MR6" : "t-DN" }),
                      _react2.default.createElement('img', { className: infoItem.isEssence == "1" ? "" : "t-DN" }),
                      _react2.default.createElement(
                        'span',
                        { className: 't-FB1 t-omit', style: { maxWidth: "115px" } },
                        infoItem.columnName
                      ),
                      _react2.default.createElement(
                        'span',
                        null,
                        infoItem.publishDate
                      )
                    )
                  )
                );
              } else {
                if (infoItem.imgId) {
                  imgSrc = context + "/api/m/plugin/attachment/mobile/viewImage?fid=" + imgIdList[0] + "&token=" + getLoginUserInfo().token;
                }
                return _react2.default.createElement(
                  'div',
                  { className: 'infoList', onClick: t.jumpPage.bind(this, "/infodetail/" + infoItem.id) },
                  _react2.default.createElement(
                    'div',
                    { className: 'infoContent' },
                    _react2.default.createElement(
                      'div',
                      { className: imgSrc ? "imgContent" : "t-DN" },
                      _react2.default.createElement('img', { src: imgSrc })
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: 't-FB1' },
                      _react2.default.createElement(
                        'p',
                        null,
                        infoItem.title
                      ),
                      _react2.default.createElement(
                        'p',
                        { className: 't-FS14' },
                        _react2.default.createElement('i', { className: infoItem.isTop == "1" ? "iconfont icon-istop t-FS14 t-FCddblue t-MR6" : "t-DN" }),
                        _react2.default.createElement('img', { className: infoItem.isEssence == "1" ? "" : "t-DN" }),
                        _react2.default.createElement(
                          'span',
                          { className: 't-FB1 t-omit', style: { maxWidth: "115px" } },
                          infoItem.columnName
                        ),
                        _react2.default.createElement(
                          'span',
                          null,
                          infoItem.publishDate
                        )
                      )
                    )
                  )
                );
              }
            });
            return _react2.default.createElement(
              _Tab2.default.Item,
              { title: _react2.default.createElement(
                  'div',
                  { style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                  item.columnName
                ), key: item.columnId },
              item.infoList.length > 0 ? _react2.default.createElement(
                'div',
                { className: '' },
                infoList,
                _react2.default.createElement(
                  'div',
                  { className: 'info-more-btn', onClick: t.jumpPage.bind(this, "/channelDetail/" + item.channelId + '/' + item.columnId + '/' + item.columnName) },
                  '\u67E5\u770B\u66F4\u591A'
                )
              ) : _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10 t-MT16', src: '../../../fmui/images/home/nodata.png' })
            );
          });
        }
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
          componentContent = _react2.default.createElement(
            _Tab2.default,
            { activeKey: t.state[item.portletCode + '_' + item.id][0].columnId, pageSize: 4, showExpandAll: false, speed: 2 },
            xwzxContent
          );
        }
      }
      if (item.portletCode === 'gryj') {

        var gryjShowList = personalSetting.mailMenu;
        var gryjContent = '';
        if (t.state[item.portletCode + '_' + item.id]) {
          if (t.state[item.portletCode + '_' + item.id].data.personList && t.state[item.portletCode + '_' + item.id].data.personList.length > 0) {
            gryjContent = t.state[item.portletCode + '_' + item.id].data.personList.map(function (item) {
              return _react2.default.createElement(
                'div',
                { className: 'list-item ', onClick: t.skipPage.bind(this, 'mobile/modules/mail/dist/index.html?context=' + context + '&contextPath=flex&isPublic=0#/mail/details/' + item.mailId + '/1/0/undefined/undefined/undefined/1') },
                _react2.default.createElement(
                  'div',
                  { className: item.isRead == "false" ? "item-label label-special" : "t-DN" },
                  '\u672A\u8BFB'
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'item-title' },
                  item.theme
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'item-content' },
                  _react2.default.createElement(
                    'div',
                    { className: 'content t-FCddfontblue-60 t-FS12' },
                    _react2.default.createElement(
                      'span',
                      { className: 't-MR12' },
                      item.sendTime
                    ),
                    _react2.default.createElement(
                      'span',
                      null,
                      '\u7533\u8BF7\u4EBA\uFF1A'
                    ),
                    _react2.default.createElement(
                      'span',
                      null,
                      item.sendUserName
                    )
                  ),
                  _react2.default.createElement(
                    'a',
                    { className: 'more' },
                    _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
                  )
                )
              );
            });
          } else {
            gryjContent = _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10', src: '../../../fmui/images/home/nodata.png' })
            );
          }
        }
        var ggyjContent = '';
        if (t.state[item.portletCode + '_' + item.id]) {
          if (t.state[item.portletCode + '_' + item.id].data.publicList && t.state[item.portletCode + '_' + item.id].data.publicList.length > 0) {
            ggyjContent = t.state[item.portletCode + '_' + item.id].data.publicList.map(function (item) {
              return _react2.default.createElement(
                'div',
                { className: 'list-item', onClick: t.skipPage.bind(this, 'mobile/modules/mail/dist/index.html?context=' + context + '&contextPath=flex&isPublic=1#/mail/details/' + item.mailId + '/1/0/undefined/undefined/undefined/1') },
                _react2.default.createElement(
                  'div',
                  { className: item.isRead == "false" ? "item-label label-special" : "t-DN" },
                  '\u672A\u8BFB'
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'item-title' },
                  item.theme
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'item-content' },
                  _react2.default.createElement(
                    'div',
                    { className: 'content t-FCddfontblue-60 t-FS12' },
                    _react2.default.createElement(
                      'span',
                      { className: 't-MR12' },
                      item.sendTime
                    ),
                    _react2.default.createElement(
                      'span',
                      null,
                      '\u7533\u8BF7\u4EBA\uFF1A'
                    ),
                    _react2.default.createElement(
                      'span',
                      null,
                      item.sendUserName
                    )
                  ),
                  _react2.default.createElement(
                    'a',
                    { className: 'more' },
                    _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
                  )
                )
              );
            });
          } else {
            ggyjContent = _react2.default.createElement(
              'div',
              null,
              _react2.default.createElement('img', { className: 't-W100 t-PL10 t-PR10', src: '../../../fmui/images/home/nodata.png' })
            );
          }
        }
        var personMailTab = '';
        if (gryjShowList.indexOf('personMail') > -1) {
          var personMailTab = _react2.default.createElement(
            _Tab2.default.Item,
            { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                '\u4E2A\u4EBA\u90AE\u7BB1'
              ), key: '0' },
            _react2.default.createElement(
              'div',
              { className: 'list-RT-label t-MT16' },
              gryjContent
            )
          );
        }
        if (gryjShowList.indexOf('commonMail') > -1) {
          var publicMailTab = _react2.default.createElement(
            _Tab2.default.Item,
            { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                '\u516C\u5171\u90AE\u7BB1'
              ), key: '1' },
            _react2.default.createElement(
              'div',
              { className: 'list-RT-label t-MT16' },
              ggyjContent
            )
          );
        }
        componentContent = _react2.default.createElement(
          'div',
          null,
          t.state['activeIndex_ggyj_' + item.id] && t.state['activeIndex_ggyj_' + item.id] === true ? _react2.default.createElement(
            'p',
            { className: styleSetting.titleSet.titleStatus == 1 && styleSetting.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN', onClick: t.skip2More.bind(this, 'ggyj') },
            '\u66F4\u591A',
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
          ) : _react2.default.createElement(
            'p',
            { className: styleSetting.titleSet.titleStatus == 1 && styleSetting.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN', onClick: t.skip2More.bind(this, 'gryj') },
            '\u66F4\u591A',
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
          ),
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: gryjShowList.indexOf('personMail') > -1 ? "0" : "1", onChange: t.handleChange.bind(this, item.id) },
            personMailTab,
            publicMailTab
          )
        );
      }
      if (item.portletCode === 'grrc') {
        componentHead = _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: '0', className: 't-MB16' },
            _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                item.title
              ), key: '0' })
          )
        );
        var grrcContent = '';
        if (t.state['grrc_list_' + item.id]) {
          grrcContent = t.state['grrc_list_' + item.id].map(function (item) {
            var completed = false;
            if (item.startTime) {
              var date = new Date(item.startTime.replace(/-/g, '/'));
              var H = date.getHours();
              var M = date.getMinutes();
              if (H < 10) {
                H = "0" + H;
              }
              if (M < 10) {
                M = "0" + M;
              }
              var time = H + ":" + M;
              var now = new Date();
              if (date < now) {
                //过去时
                completed = true;
              }
            }
            return _react2.default.createElement(
              HBox,
              { className: completed ? 'rc-item t-PR rc-completed' : 'rc-item t-PR', vAlign: 'center' },
              _react2.default.createElement(
                Box,
                { className: 'rc-item-time' },
                time
              ),
              _react2.default.createElement(
                Box,
                { className: 'rc-item-time-line' },
                _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-fuhao' })
              ),
              _react2.default.createElement(
                Box,
                { flex: 1, className: 'rc-item-title t-omit' },
                item.title
              )
            );
          });
        }

        var calendarDom = _react2.default.createElement('div', { id: 'calendar_ ' + item.id });
        var grrcList = '';
        if (t.state[item.portletCode + '_' + item.id]) {
          grrcList = _react2.default.createElement(
            'div',
            { className: 'rc-list' },
            grrcContent
          );
        }
        componentContent = _react2.default.createElement(
          'div',
          null,
          calendarDom,
          grrcList
        );
        if (t.state[item.portletCode + '_' + item.id]) {
          setTimeout(function () {
            t.initCleader(t.state[item.portletCode + '_' + item.id], item.id);
          }, 600);
        }
      }
      if (item.portletCode === 'grhy') {
        var grhyContent = '';
        if (t.state[item.portletCode + '_' + item.id]) {
          grhyContent = t.state[item.portletCode + '_' + item.id].data.map(function (item) {
            return _react2.default.createElement(
              'div',
              { className: 'meetingCard' },
              _react2.default.createElement('div', { className: 'lineTop' }),
              _react2.default.createElement(
                'div',
                { className: 'meetingBg' },
                _react2.default.createElement(
                  'div',
                  { className: 'meetingContent', onClick: t.skipPage.bind(this, 'mobile/modules/meeting/dist/index.html?context=' + context + '&hasBottomTab=1#/meeting/myMeetingDetails/' + item.applyRecordid + '/myReceived') },
                  _react2.default.createElement(
                    'div',
                    { className: 'meetingTitle' },
                    _react2.default.createElement(
                      'p',
                      { className: 't-omit t-LH1_6' },
                      item.applyRecordName
                    )
                  ),
                  _react2.default.createElement(
                    'div',
                    { className: 'meetingTime' },
                    _react2.default.createElement(
                      'div',
                      { className: 'meetingDate' },
                      _react2.default.createElement('i', { className: 'iconfont icon-shijian1 t-FS14' }),
                      _react2.default.createElement(
                        'span',
                        { className: 't-ML6' },
                        item.week
                      ),
                      _react2.default.createElement(
                        'span',
                        { className: 't-ML10' },
                        item.startDate
                      )
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: 'timeTitle' },
                      _react2.default.createElement(
                        'p',
                        null,
                        '\u5F00\u59CB\u65F6\u95F4'
                      ),
                      _react2.default.createElement(
                        'p',
                        null,
                        '\u7ED3\u675F\u65F6\u95F4'
                      )
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: 'time' },
                      _react2.default.createElement(
                        'li',
                        null,
                        item.sTime
                      ),
                      _react2.default.createElement(
                        'li',
                        null,
                        _react2.default.createElement(
                          'p',
                          null,
                          item.durationTime
                        )
                      ),
                      _react2.default.createElement(
                        'li',
                        null,
                        item.eTime
                      )
                    ),
                    _react2.default.createElement(
                      'div',
                      { className: 'location' },
                      _react2.default.createElement('i', { className: 'iconfont icon-dizhi t-FS14' }),
                      _react2.default.createElement(
                        'span',
                        { className: 't-ML6' },
                        item.meetingAddress
                      )
                    )
                  )
                ),
                _react2.default.createElement('img', { src: '../../../fmui/images/home/start.png', className: 'startIcon' })
              )
            );
          });
        }
        componentHead = _react2.default.createElement(
          'div',
          { className: 'component-bssx' },
          _react2.default.createElement(
            'p',
            { className: styleSetting.titleSet.titleStatus == 1 && styleSetting.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN', onClick: t.skip2More.bind(this, item.portletCode) },
            '\u66F4\u591A',
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
          ),
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: '0', className: 't-MB16' },
            _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                item.title
              ), key: '0' })
          )
        );

        if (t.state[item.portletCode + '_' + item.id]) {
          if (t.state[item.portletCode + '_' + item.id].data.length > 0) {
            componentContent = grhyContent;
          }
        }
      }
      if (item.portletCode === 'lcfq') {
        componentHead = _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'p',
            { className: styleSetting.titleSet.titleStatus == 1 && styleSetting.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN', onClick: t.skip2More.bind(this, item.portletCode) },
            '\u66F4\u591A',
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
          ),
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: '0', className: 't-MB16' },
            _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                item.title
              ), key: '0' })
          )
        );
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
          componentContent = _react2.default.createElement(
            _Grid2.default,
            { col: personalSetting.cols * 1, className: 'sxbl_buttons' },
            t.state[item.portletCode + '_' + item.id].map(function (item) {
              return _react2.default.createElement(
                'button',
                { onClick: function onClick() {
                    _umi.history.push('/officeguid' + ('?id=' + item.id + '&code=' + item.code));
                  } },
                item.name
              );
            })
          );
        }
      }
      if (item.portletCode === 'tbgl') {
        componentHead = _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: '0', className: 't-MB16' },
            _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                item.title
              ), key: '0' })
          )
        );

        componentContent = _react2.default.createElement(_chart2.default, { portalId: item.id, height: '100%', hasTitle: styleSetting.titleSet.titleStatus == 1 });
      }
      if (item.portletCode === 'wdsx') {
        componentHead = _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'p',
            { className: styleSetting.titleSet.titleStatus == 1 && styleSetting.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN', onClick: t.skip2More.bind(this, item.portletCode) },
            '\u66F4\u591A',
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
          ),
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: '0', className: 't-MB16' },
            _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                item.title
              ), key: '0' })
          )
        );
        var wdsxList = '';
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
          wdsxList = t.state[item.portletCode + '_' + item.id].map(function (item) {
            return _react2.default.createElement(
              'div',
              { className: 'list-item', onClick: t.skip2Process.bind(t, item, 4) },
              _react2.default.createElement(
                'div',
                { className: 'item-content' },
                _react2.default.createElement(
                  'div',
                  { className: 'item-title' },
                  item.title
                ),
                _react2.default.createElement(
                  'div',
                  { className: 'content t-FCddfontblue-60 t-FS12' },
                  _react2.default.createElement(
                    'span',
                    { className: 't-MR12' },
                    item.createTime
                  ),
                  _react2.default.createElement(
                    'span',
                    null,
                    '\u7533\u8BF7\u4EBA\uFF1A'
                  ),
                  _react2.default.createElement(
                    'span',
                    null,
                    item.startUserName
                  )
                )
              ),
              _react2.default.createElement(
                'a',
                { className: 'more' },
                _react2.default.createElement('i', { className: 'iconfont icon-right-arrow t-FCddfontblue-60' })
              )
            );
          });
          componentContent = _react2.default.createElement(
            'div',
            { className: 'list-RT-label wdsx-list' },
            wdsxList
          );
        }
      }
      if (item.portletCode === 'jxzt') {
        componentHead = _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'p',
            { className: styleSetting.titleSet.titleStatus == 1 && styleSetting.otherSet.toolbarShow == 1 ? "rightMore" : 't-DN', onClick: t.skip2More.bind(this, item.portletCode) },
            '\u66F4\u591A',
            _react2.default.createElement('i', { className: 'iconfont-ywtb icon-ywtb-tiaozhuan' })
          ),
          _react2.default.createElement(
            _Tab2.default,
            { activeKey: '0', className: 't-MB16' },
            _react2.default.createElement(_Tab2.default.Item, { title: _react2.default.createElement(
                'div',
                { className: '', style: { color: styleSetting.titleSet.titleColor, fontWeight: styleSetting.titleSet.titleWeight == 1 ? 700 : '', fontSize: styleSetting.titleSet.titleSize } },
                item.title
              ), key: '0' })
          )
        );

        var _carouselItem = '';
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {

          _carouselItem = t.state[item.portletCode + '_' + item.id].map(function (item) {
            var imgUrlPath = localStorage.getItem('context') + '/api/m/plugin/attachment/mobile/viewImage?token=' + localStorage.getItem('token') + '&fid=' + item.imgUrl;

            return _react2.default.createElement(
              _Carousel2.default.Item,
              { title: '\u6807\u9898', code: item.code, className: 't-image-slide-item t-R10', style: { backgroundImage: 'url(' + imgUrlPath + ')' } },
              _react2.default.createElement(
                'p',
                { className: 't-FS20 t-ML20 t-PT20 t-MB10' },
                item.name
              )
            );
          });
        }
        if (t.state[item.portletCode + '_' + item.id] && t.state[item.portletCode + '_' + item.id].length > 0) {
          componentContent = _react2.default.createElement(
            _Carousel2.default,
            { showNav: true, height: '91px', auto: false, className: 'jxzt-content', onSlideClick: function onSlideClick(option) {
                t.skip2Zhuanti(option);
              } },
            _carouselItem
          );
        }
      }
      return _react2.default.createElement(
        'div',
        { className: styleSetting.titleSet.titleStatus == 1 ? 'react-grid-component' : 'noTitle', key: item.id, style: {
            borderTopLeftRadius: styleSetting.otherSet.radius.topLeft + 'px',
            borderTopRightRadius: styleSetting.otherSet.radius.topRight + 'px',
            borderBottomLeftRadius: styleSetting.otherSet.radius.bottomLeft + 'px',
            borderBottomRightRadius: styleSetting.otherSet.radius.bottomRight + 'px',
            paddingLeft: styleSetting.otherSet.paddingSet.pl + 'px',
            paddingright: styleSetting.otherSet.paddingSet.pr + 'px',
            paddingTop: styleSetting.otherSet.paddingSet.pt + 'px',
            paddingBottom: styleSetting.otherSet.paddingSet.pb + 'px',
            backgroundColor: styleSetting.otherSet.bgColor
          } },
        styleSetting.titleSet.titleStatus == 1 ? componentHead : '',
        componentContent
      );
    }

    // 下拉刷新

  }, {
    key: 'onRefresh',
    value: function onRefresh() {
      var _this3 = this;

      // debugger;
      this.setState({ refreshing: true });
      this.initPage();
      // this.setState({
      //   refreshing: false,
      // });
      setTimeout(function () {
        _this3.setState({
          refreshing: false
        });
      }, 1000);
    }
  }, {
    key: 'render',
    value: function render() {
      var t = this;
      var context = localStorage.getItem('context');
      var userId = getLoginUserInfo().userId;
      var token = getLoginUserInfo().token;
      var layout = this.state.data.map(function (item) {
        return {
          i: item.id,
          x: item.positionX,
          y: item.positionY,
          w: item.portletWidth,
          h: item.portletHeight,
          static: true //禁止修改部件大小
        };
      });

      if (!layout || layout.length === 0) {
        return null;
      } else {
        return _react2.default.createElement(
          'div',
          { className: 'react-grid' },
          _react2.default.createElement(
            _Refreshcontrol2.default,
            { refreshing: this.state.refreshing, onRefresh: this.onRefresh.bind(this), beforePullLoadText: '\u4E0B\u62C9\u5237\u65B0', afterPullLoadText: '\u4E0B\u62C9\u5237\u65B0\u7ED3\u675F' },
            _react2.default.createElement(
              _reactGridLayout2.default,
              {
                className: 'layout',
                layout: layout,
                cols: 12,
                rowHeight: 20,
                width: window.innerWidth,
                isDraggable: this.state.isDraggable,
                margin: [0, 5]
              },
              this.state.data.map(function (item) {
                return t.portalContent(item) || null;

                // 添加一个默认返回值，以避免未指定键的错误
              })
            )
          )
        );
      }
    }
  }]);

  return MyGrid;
}(_react2.default.Component);

exports.default = MyGrid;